aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Skoland <david.skoland@qt.io>2021-11-25 16:35:00 +0100
committerDavid Skoland <david.skoland@qt.io>2022-06-09 09:20:29 +0100
commit9246ebe17f2e58a6f0dc7c5d2a9e06534baf9443 (patch)
tree540609f5af425c4faafce624b4f9c8bb39d7225d
parent2566bbfe717453e0c08f8453604b293b816170c8 (diff)
Fix Coin prebuilt GCC download
We already have the DownloadURL function which is used pretty much everywhere except here, so it makes sense to use it here too. Change-Id: Icc1d3db7e4e3d3f61f6cd6a22b35e2ef007ff40c Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
-rwxr-xr-xcoin/provisioning/common/linux/gcc.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/coin/provisioning/common/linux/gcc.sh b/coin/provisioning/common/linux/gcc.sh
index 10a7ffa7..884129c3 100755
--- a/coin/provisioning/common/linux/gcc.sh
+++ b/coin/provisioning/common/linux/gcc.sh
@@ -69,7 +69,7 @@ function InstallGCC() {
buildFolder="$HOME/gcc_build"
echo "Fetching prebuilt GCC."
- curl --fail -L --retry 5 --retry-delay 5 -o "$prebuiltTarget" "$prebuiltGCC" || (
+ DownloadURL "$prebuiltGCC" "" "$prebuiltSHA1" "$prebuiltTarget" || (
echo "Fetching prebuilt GCC failed. Building from sources."
DownloadURL "$cachedUrl" "$officialUrl" "$sourcesSHA1" "$targetFile"
)